ros-jazzy-ros2action (0.32.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Dec 2024 16:00:00 -0000

ros-jazzy-ros2action (0.32.1-1bookworm) bookworm; urgency=high

  * call get_action_interfaces() properly. (#898 <https://github.com/ros2/ros2cli/issues/898>) (#900 <https://github.com/ros2/ros2cli/issues/900>)
    (cherry picked from commit 305ef763b83e42ebddc4802ac788869d178b6e93)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-ros2action (0.32.0-1bookworm) bookworm; urgency=high

  * support ros2 action type <action name>. (#894 <https://github.com/ros2/ros2cli/issues/894>)
    * support ros2 action type <action name>.
    * add review comments.
    ---------
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-ros2action (0.31.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-ros2action (0.31.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-ros2action (0.31.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-ros2action (0.30.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-ros2action (0.30.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-ros2action (0.29.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-ros2action (0.29.0-1bookworm) bookworm; urgency=high

  * Load a message/request/goal from standard input (#844 <https://github.com/ros2/ros2cli/issues/844>)
  * Contributors: ymd-stella

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-ros2action (0.28.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-ros2action (0.27.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-ros2action (0.26.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-ros2action (0.26.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-ros2action (0.25.0-1bookworm) bookworm; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-ros2action (0.24.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-ros2action (0.24.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-ros2action (0.23.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-jazzy-ros2action (0.22.0-1bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-ros2action (0.21.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-ros2action (0.20.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-ros2action (0.19.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-ros2action (0.18.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-ros2action (0.18.2-1bookworm) bookworm; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-ros2action (0.18.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-ros2action (0.18.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-ros2action (0.17.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-ros2action (0.17.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-ros2action (0.16.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-ros2action (0.16.0-1bookworm) bookworm; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-ros2action (0.15.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-jazzy-ros2action (0.14.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-jazzy-ros2action (0.13.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-ros2action (0.12.0-1bookworm) bookworm; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-jazzy-ros2action (0.11.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-ros2action (0.10.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-ros2action (0.10.0-1bookworm) bookworm; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.5-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.3-1bookworm) bookworm; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 16:00:00 -0000

ros-jazzy-ros2action (0.9.0-1bookworm) bookworm; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Used get_available_rmw_implementations from rclpy. (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon. (#459 <https://github.com/ros2/ros2cli/issues/459>)
    This is to give time for discovery to happen between the daemon node and the test fixture nodes.
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * [ros2action] Refactor send_goal implementation. (#406 <https://github.com/ros2/ros2cli/issues/406>)
    Resolve a TODO and use a function from rosidl_runtime_py to get the action interface.
  * Merge branch 'master' of github.com:ros2/ros2cli
  * [ros2action] Remove show verb. (#405 <https://github.com/ros2/ros2cli/issues/405>)
    The verb is redundant with 'ros2 interface show'.
    Equivalent tests for the ones removed already exist in ros2interface.
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron, Peter Baughman, Steven! Ragnarök, claireyywang

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 16:00:00 -0000

ros-jazzy-ros2action (0.8.6-1bookworm) bookworm; urgency=high

  * Fix new linter warnings as of flake8-comprehensions 3.1.0. (#399 <https://github.com/ros2/ros2cli/issues/399>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.5-1bookworm) bookworm; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.4-1bookworm) bookworm; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.3-1bookworm) bookworm; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * Ensure ros2 interface show has trailing newline. (#368 <https://github.com/ros2/ros2cli/issues/368>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.2-1bookworm) bookworm; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Oct 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.1-1bookworm) bookworm; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2019 16:00:00 -0000

ros-jazzy-ros2action (0.8.0-1bookworm) bookworm; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Pass keyword arguments by name. (#317 <https://github.com/ros2/ros2cli/issues/317>)
  * Add action send_goal prototype completer. (#301 <https://github.com/ros2/ros2cli/issues/301>)
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-jazzy-ros2action (0.7.4-1bookworm) bookworm; urgency=high

  * [ros2action] Support multiple part action type names for 'send_goal' verb. (#261 <https://github.com/ros2/ros2cli/issues/261>)
    Similar to the changes made in #247 <https://github.com/ros2/ros2cli/issues/247> and #259 <https://github.com/ros2/ros2cli/issues/259>.
  * Use three-part interface names in msg/srv/action show and msg/srv/ list. (#259 <https://github.com/ros2/ros2cli/issues/259>)
  * Reset goal_handle to avoid attempt to cancel. (#254 <https://github.com/ros2/ros2cli/issues/254>)
    * Reset goal_handle to avoid attempt to cancel
    * Fix spelling
  * Contributors: Dirk Thomas, Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-jazzy-ros2action (0.7.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-jazzy-ros2action (0.7.2-1bookworm) bookworm; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Use yaml.safe_load (round2). (#229 <https://github.com/ros2/ros2cli/issues/229>)
    * Use yaml.safe_load (round2)
    * Without the typo
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-jazzy-ros2action (0.7.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2019 16:00:00 -0000

ros-jazzy-ros2action (0.7.0-1bookworm) bookworm; urgency=high

  * Add Action CLI. (#214 <https://github.com/ros2/ros2cli/issues/214>)
    * Add ros2action package
    Contains ros2cli command 'action' with verbs: list and show.
    The list verb lists action names for any running action servers and action clients.
    The show verb prints the definition for a given action type.
    * Add 'info' verb to action command
    Prints a list of node names that have an action client or server for a given action name.
    * Use None as argument to test node
    * Add TODOs to move action query functions to rclpy (and rcl_action)
    The tool shouldn't need to know details about the implementation of actions.
    * Add dependency to rclpy
    * Add 'send_goal' verb to action command
    * Migrate message utility functions to rosidl_runtime_py
    * Make use of rclpy functions
    * Fix lint
    * Fix tests
    * Fix test
    * Add autocompletion to verbs
    * Update year
    * Expand and validate action name
    This also has the side-effect of making the forward slash optional for the action name.
    * Print goal ID when sendind a goal
    * Cancel goal on SIGINT
    Wrapped send goal logic in try-finally clause.
    This ensures that any active goal will be canceled before the CLI command terminates and also ensure that the ROS node is shutdown.
    * Fix typos
    * Change maintainer
    * Move try-except to verb
    * Catch expected exceptions only
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-jazzy-ros2action (0.6.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Feb 2019 16:00:00 -0000

ros-jazzy-ros2action (0.6.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-jazzy-ros2action (0.6.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 05 Dec 2018 16:00:00 -0000

ros-jazzy-ros2action (0.6.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Nov 2018 16:00:00 -0000

ros-jazzy-ros2action (0.5.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 Aug 2018 16:00:00 -0000

ros-jazzy-ros2action (0.5.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 16 Jul 2018 16:00:00 -0000

ros-jazzy-ros2action (0.5.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 16:00:00 -0000

ros-jazzy-ros2action (0.5.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 04:27:00 -0000

ros-jazzy-ros2action (0.5.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 04:17:00 -0000

ros-jazzy-ros2action (0.4.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000


